com.sun.jna.ptr

## Class PointerByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.ptr.PointerByReference

- All Implemented Interfaces:
    NativeMapped
  Direct Known Subclasses:
    CoreFoundation.CFDictionaryRef.ByReference, CoreFoundation.CFStringRef.ByReference

      public class PointerByReference
      extends ByReference

  Represents a reference to a pointer to native data. In C notation, `void**`.
  Author:
    twall

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointerByReference()`
    `PointerByReference(Pointer value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pointer` | `getValue()`
    `void` | `setValue(Pointer value)`

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PointerByReference

          public PointerByReference()

    - #### PointerByReference

          public PointerByReference(Pointer value)

  - ### Method Detail

    - #### setValue

          public void setValue(Pointer value)

    - #### getValue

          public Pointer getValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.